hakyll-4.9.7.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.Writable

Description

Describes writable items; items that can be saved to the disk

Synopsis

- class Writable a where

# Documentation

class Writable a where #

Describes an item that can be saved to the disk

Minimal complete definition

write

Methods

write :: FilePath -> Item a -> IO () #

Save an item to the given filepath

Instances

Writable () # |
Methods write :: FilePath -> Item () -> IO () #
Writable ByteString # |
Methods write :: FilePath -> Item ByteString -> IO () #
Writable ByteString # |
Methods write :: FilePath -> Item ByteString -> IO () #
Writable Html # |
Methods write :: FilePath -> Item Html -> IO () #
Writable TmpFile # |
Methods write :: FilePath -> Item TmpFile -> IO () #
Writable CopyFile # |
Methods write :: FilePath -> Item CopyFile -> IO () #
Writable Biblio # |
Methods write :: FilePath -> Item Biblio -> IO () #
Writable CSL # |
Methods write :: FilePath -> Item CSL -> IO () #
Writable Redirect # |
Methods write :: FilePath -> Item Redirect -> IO () #
Writable Template # |
Methods write :: FilePath -> Item Template -> IO () #
Writable [Char] # |
Methods write :: FilePath -> Item [Char] -> IO () #
Writable [Word8] # |
Methods write :: FilePath -> Item [Word8] -> IO () #